Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFont.StyleStrategy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFont.StyleStrategy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFont

    public static final class QFont.StyleStrategy

extends java.lang.Enum
implements QtEnumerator

The style strategy tells the `font matching` algorithm what type of fonts should be used to find an appropriate default family.

The following strategies are available: Any of these may be OR-ed with one of these flags:

See Also:
  Serialized Form

Field Summary
`static QFont.StyleStrategy` | `ForceOutline` forces the use of outline fonts.
`static QFont.StyleStrategy` | `NoAntialias` don't antialias the fonts.
`static QFont.StyleStrategy` | `NoFontMerging` If a font does not contain a character requested to draw then Qt automatically chooses a similar looking for that contains the character.
`static QFont.StyleStrategy` | `OpenGLCompatible` forces the use of OpenGL compatible fonts.
`static QFont.StyleStrategy` | `PreferAntialias` antialias if possible.
`static QFont.StyleStrategy` | `PreferBitmap` prefers bitmap fonts (as opposed to outline fonts).
`static QFont.StyleStrategy` | `PreferDefault` the default style strategy.
`static QFont.StyleStrategy` | `PreferDevice` prefers device fonts.
`static QFont.StyleStrategy` | `PreferMatch` prefer an exact match.
`static QFont.StyleStrategy` | `PreferOutline` prefers outline fonts (as opposed to bitmap fonts).
`static QFont.StyleStrategy` | `PreferQuality` prefer the best quality font.

Method Summary
`static QFont.StyleStrategy` | `resolve(int value)` Returns the QFont$StyleStrategy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.StyleStrategy` | `valueOf(java.lang.String name)`
`static QFont.StyleStrategy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PreferDefault

    public static final QFont.StyleStrategy PreferDefault

  the default style strategy. It does not prefer any type of font.

### PreferBitmap

    public static final QFont.StyleStrategy PreferBitmap

  prefers bitmap fonts (as opposed to outline fonts).

### PreferDevice

    public static final QFont.StyleStrategy PreferDevice

  prefers device fonts.

### PreferOutline

    public static final QFont.StyleStrategy PreferOutline

  prefers outline fonts (as opposed to bitmap fonts).

### ForceOutline

    public static final QFont.StyleStrategy ForceOutline

  forces the use of outline fonts.

### PreferMatch

    public static final QFont.StyleStrategy PreferMatch

  prefer an exact match. The font matcher will try to use the exact font size that has been specified.

### PreferQuality

    public static final QFont.StyleStrategy PreferQuality

  prefer the best quality font. The font matcher will use the nearest standard point size that the font supports.

### PreferAntialias

    public static final QFont.StyleStrategy PreferAntialias

  antialias if possible.

### NoAntialias

    public static final QFont.StyleStrategy NoAntialias

  don't antialias the fonts.

### OpenGLCompatible

    public static final QFont.StyleStrategy OpenGLCompatible

  forces the use of OpenGL compatible fonts.

### NoFontMerging

    public static final QFont.StyleStrategy NoFontMerging

  If a font does not contain a character requested to draw then Qt automatically chooses a similar looking for that contains the character. This flag disables this feature.

Method Detail

### values

    public static QFont.StyleStrategy[] values()

### valueOf

    public static QFont.StyleStrategy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.StyleStrategy resolve(int value)

  Returns the QFont$StyleStrategy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD